Values
All revisions of one model-level value, newest first
GET
Any member.
apiKeyheader
AuthorizationBearer <token>Organisation API key sent as Authorization: Bearer bp_live_… (ADR-017). Accepted only by the
operations that list this scheme, with the scope in their x-api-key-scope.
versionId*stringFormat
uuidfieldKey*stringRegistry field key, e.g. performance.nominal_voltage.
Match
^[a-z][a-z0-9_]*\.[a-z][a-z0-9_]*$Length
length <= 100The revisions.
application/json- response
items*array<>Example Request
curl -X GET 'https://example.com/api/v1/model-versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/values/string/history'Example Response
{ "items": [ { "checks": [ { "check_key": "string", "message": { "de": "string", "en": "string" }, "result": "pass" } ], "evidence": [ { "access_tier": "public", "filename": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "declaration_of_conformity", "revision": 1, "superseded": true, "title": "string" } ], "field_key": "string", "measured_at": "2019-08-24T14:15:22Z", "recorded_at": "2019-08-24T14:15:22Z", "recorded_by": { "display_name": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "registry_version": "string", "responsible": { "display_name": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "review_note": "string", "review_status": "captured", "reviewed_at": "2019-08-24T14:15:22Z", "reviewed_by": { "display_name": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "revision": 1, "source": "manual", "superseded_at": "2019-08-24T14:15:22Z", "unit": "string", "value": null } ]}